﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI.Docking;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radDock1.AutoDetectMdiChildren = true;

            this.radDock1.ActiveWindowChanged += new Telerik.WinControls.UI.Docking.DockWindowEventHandler(radDock1_ActiveWindowChanged);
            this.radDock1.DockWindowClosed += new DockWindowEventHandler(radDock1_DockWindowClosed);
        }

        void radDock1_DockWindowClosed(object sender, DockWindowEventArgs e)
        {
            this.radDock1.ActivateWindow(prevWindow);
        }

        DockWindow prevWindow = null;
        DockWindow currentWindow = null;

        void radDock1_ActiveWindowChanged(object sender, Telerik.WinControls.UI.Docking.DockWindowEventArgs e)
        {
            prevWindow = currentWindow; 
            currentWindow = e.DockWindow;
        }

        Random rand = new Random();

        private void radButton1_Click(object sender, EventArgs e)
        {
            Form f = new Form();
            f.BackColor = Color.FromArgb(rand.Next(255), rand.Next(255), rand.Next(255));
            f.MdiParent = this;
            f.Show();
        }
    }
}
